QT won't compile

Rainer Peter Feller Rainer-Peter.Feller at physik.uni-hamburg.de
Tue Aug 23 00:52:15 PDT 2005


On Wed, 2005-08-17 at 12:14 -0500, Steven Pasternak wrote:
> It looks like something with the c++ abi change, I build X first with gcc 3.4, but to get firefox to work
> I installed gcc 3.3 in /opt/gcc33 and copied the libstdc++.so.5{,.0.7} to /usr/lib. For some reason ldconfig
> insists on linking libstdc++.so.6.0.1 to libstdc++.so.5. I tried removing all traces of libstdc++.so.5, but 
> ldconfig adds it no matter what! Could that be the problem? Thanks!
> -Steven
> make: *** [init] Error 2
you will have to compile every c++ code which links to X (which has also
some c++ code) with the same libstdc++ api, so it would be best to have
only one compiler for the system.
1st try to solve the problems with firefox, 1.0.6 sould compile fine
with gcc-3.4.4




More information about the blfs-support mailing list